For the complete documentation index, see llms.txt. This page is also available as Markdown.

Vcs

This endpoint is used to create, update, search or delete vcs (version control system) information inside a Terrakube organization so you can connect to private git repositories to run modules and workspaces

Entity fields:

Path
Type
Description

data.type

string

Should be "vcs"

data.attributes.name

string

Unique vcs name for an Terrakube organization

data.attributes.description

string

Free text for description

data.attributes.vcsType

string

Supported values: GITHUB, GITLAB, BITBUCKET, AZURE_DEVOPS

data.attributes.clientID

string

Client Application Id

data.attributes.clientSecret

string

Client Application secret

Example:

{
  "data": {
    "type": "vcs",
    "attributes": {
      "name": "GitHubConnection",
      "description": "Private repositories inside GitHub",
      "vcsType": "GITHUB",
      "clientId": "{{githubClientId}}",
      "clientSecret": "{{githubClientSecret}}"
    }
  }
}

Supported Operations

get

Returns an instance of type vcs

Path parameters
organizationIdstringRequired

organization Identifier

vcsIdstringRequired

vcs Identifier

Query parameters
Responses
200

Successful response

application/vnd.api+json
get
/organization/{organizationId}/vcs/{vcsId}
200

Successful response

post

Creates an item of type vcs and adds it to vcs

Path parameters
organizationIdstringRequired

organization Identifier

Body
Responses
post
/organization/{organizationId}/vcs
201

Successful response

delete

Deletes an instance of type vcs

Path parameters
organizationIdstringRequired

organization Identifier

vcsIdstringRequired

vcs Identifier

Responses
delete
/organization/{organizationId}/vcs/{vcsId}
204

Successful response

No content

patch

Modifies an instance of type vcs

Path parameters
organizationIdstringRequired

organization Identifier

vcsIdstringRequired

vcs Identifier

Body
Responses
patch
/organization/{organizationId}/vcs/{vcsId}
204

Successful response

No content

For a complete list of organization operation please visit the OpenAPI specification

Last updated

Was this helpful?